LWTextInternal::Font Struct Reference

Internal: struct used to store the font of a LWText. More...

## Public Member Functions

| Font ()
| constructor More...
void | merge (Font const &fExtra)
| merge extra data to get final font More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_height
| the line height More...
int | m_pictId
| the pict id (if set) More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: struct used to store the font of a LWText.

## Constructor & Destructor Documentation

LWTextInternal::Font::Font | ( |  | ) |

inline

constructor

## Member Function Documentation

void LWTextInternal::Font::merge | ( | Font const & | fExtra | ) |

inline

merge extra data to get final font

Referenced by LWText::sendMainText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWFont LWTextInternal::Font::m_font

the font

Referenced by merge(), LWText::readFont2(), and LWText::readFonts().

int LWTextInternal::Font::m_height

the line height

Referenced by LWTextInternal::operator<<(), and LWText::readFonts().

int LWTextInternal::Font::m_pictId

the pict id (if set)

Referenced by merge(), LWTextInternal::operator<<(), and LWText::readFont2().

The documentation for this struct was generated from the following file:

- LWText.cxx